Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.contributionitem
Class ContributionItemService.ProviderDescriptor

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
              org.eclipse.gmf.runtime.common.ui.services.util.ActivityFilterProviderDescriptor
                  org.eclipse.gmf.runtime.common.ui.services.action.contributionitem.ContributionItemService.ProviderDescriptor

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener

Enclosing class:
  ContributionItemService

    protected static class ContributionItemService.ProviderDescriptor

extends ActivityFilterProviderDescriptor

A descriptor for `IContributionItemProvider` defined by a configuration element.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`A_CLASS, A_PLUGIN, E_POLICY, policy, policyInitialized, provider`

Constructor Summary
`ContributionItemService.ProviderDescriptor(IConfigurationElement element)` Constructs a `IContributionItemProvider` descriptor for the specified configuration element.

Method Summary
`IProvider` `getProvider()` Retrieves the provider for which this object is a descriptor.
`boolean` `provides(IOperation operation)` Returns false if and only if any matching activites are disabled.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`getElement, getPolicy, providerChanged, toString`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### ContributionItemService.ProviderDescriptor

    public ContributionItemService.ProviderDescriptor(IConfigurationElement element)

  Constructs a `IContributionItemProvider` descriptor for the specified configuration element.

  Parameters:
    `element` - The configuration element describing the provider.

Method Detail

### provides

    public boolean provides(IOperation operation)

  Description copied from class: `ActivityFilterProviderDescriptor`
  Returns false if and only if any matching activites are disabled.

  Specified by:
    `provides` in interface `IProvider`
  Overrides:
    `provides` in class `ActivityFilterProviderDescriptor`
  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this descriptor's policy or provider provides the operation; `false` otherwise.

### getProvider

    public IProvider getProvider()

  Description copied from class: `Service.ProviderDescriptor`
  Retrieves the provider for which this object is a descriptor. Lazy-initializes the value by instantiating the class described by this provider descriptor's configuration element.

  Overrides:
    `getProvider` in class `Service.ProviderDescriptor`
  Returns:
    The provider for which this object is a descriptor.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.